############################################################################
#
#  Licensed Materials - Property of IBM
#  Product ID = 5724-C04
#
#  (C) Copyright IBM Corp. 2002.  All Rights Reserved.
#
#  US Government Users Restricted Rights - Use, duplication or
#  disclosure restricted by GSA ADP Schedule Contract with
#  IBM Corp.
#
#   File Information: Common/src/tedw_app/amx/fixpack1/misc/Insert_attr_level2_same.pl, tmnt_etl, tmnt_5.1.1, 511ITM01B
#   Revision: 1.1
#   Date: 10/7/02 12:20:51
############################################################################

$in=$ARGV [0];
$out=$ARGV [1];
$COMPTYPCD = $ARGV [2];
$COMPTYP_PARENT_CD = $ARGV [3];
$ATTRTYPCD = $ARGV [4];
$COMP_CORR_VAL = $ARGV [5]; 
$COMP_PARENT_CORR_VAL = $ARGV [6]; 
$ATTR = $ARGV [7];
$TIME = $ARGV [8];
$FROM_TABLE2 =$ARGV [9]; 
$WHERE_CLAUSE2 =$ARGV [10]; 
$GROUPBY2 =$ARGV [11];
$PAC=$ARGV [12];



open(INDAT, $in) || die("could not open file $in");
open(OUTDAT, ">$out") || die("could not open file $out");
@raw_data=<INDAT>;
close(INDAT);
foreach $line (@raw_data)
{
  $line =~ s/__COMPTYPCD/$COMPTYPCD/g;
  $line =~ s/__COMPTYP_PARENT_CD/$COMPTYP_PARENT_CD/g;
  $line =~ s/__ATTRTYPCD/$ATTRTYPCD/g;
  $line =~ s/__COMP_CORR_VAL/$COMP_CORR_VAL/g;
  $line =~ s/__COMP_PARENT_CORR_VAL/$COMP_PARENT_CORR_VAL/g;
  $line =~ s/__ATTR/$ATTR/g;
  $line =~ s/__TIME/$TIME/g;
  $line =~ s/__FROM_TABLE2/$FROM_TABLE2/g;
  $line =~ s/__WHERE_CLAUSE2/$WHERE_CLAUSE2/g;
  $line =~ s/__GROUPBY2/$GROUPBY2/g;
  $line =~ s/__PAC/$PAC/g;
  print OUTDAT $line;
}
close(OUTDAT);

