-- ############################################################################
-- #
-- #  Licensed Materials - Property of IBM
-- #  Product ID = 5724-C04
-- #
-- #  (C) Copyright IBM Corp. 2002.  All Rights Reserved.
-- #
-- #  US Government Users Restricted Rights - Use, duplication or
-- #  disclosure restricted by GSA ADP Schedule Contract with
-- #  IBM Corp.
-- #
-- #   File Information: Common/src/tedw_app/amx/fixpack1/cdw/ddl/amx_cdw_schema.sql, tmnt_etl, tmnt_5.1.1
-- #   Revision: 1.2
-- #   Date: 10/10/02 12:30:41
-- ############################################################################

--#iftag fixpack_1
create table AMX.Stage_InstKey_No_Ex (
 ITM_Key       varchar(254) not null,
 property_val  varchar(254) not null,
 iid           bigint not null,
 eid           integer not null,
 rcid          bigint not null,
 comptyp_cd    varchar(17) not null,
 primary key (iid,eid,rcid, property_val,comptyp_cd,ITM_Key)
 );

CREATE TABLE AMX.Stage_Attr_No_Ex(
  comptyp_cd	varchar(17) not null,
  attrtyp_cd    varchar(17) not null,
  attr_ITM      varchar(254) not null,
  attr_val      varchar(254),
  timekey_dttm  timestamp not null,
  iid           bigint not null,
  rcid          bigint not null,
  eid           integer not null,
   primary key (attrtyp_cd,attr_ITM,timekey_dttm,iid,rcid,eid)
);
--#endtag fixpack_1  
